<?php
/*---------------------------------------------*/
/*         Verification user base ok           */
/*             auteur Script JLR               */
/*---------------------------------------------*/

/* login.php?
utilisateur=JLR
motdepasse=5121326
*/


/* Donnees de connexion */
$Host = "localhost";		// Database ip serveur
$User = "serveur";      // Database login
$Passw = "Rwmmq2hw";			// Database password
$db_orius = "orius_users";	// Database conextion tables

$utilisateur=htmlentities($_POST['utilisateur']);
$motdepasse=htmlentities($_POST['motdepasse']);
$timestamp = strtotime("now") ;
$today = date("Y-m-d H:i:s"); 

$link = mysqli_connect($Host, $User, $Passw, $db_orius)
or die('Impossible de se connecter : ' . mysqli_error());


function IdentifieUtilisateur ($utilisateur, $motdepasse) {
$Host = "localhost";		// Database ip serveur
$User = "serveur";      // Database login
$Passw = "Rwmmq2hw";			// Database password
$db_orius = "orius_users";	// Database conextion tables

//echo "<br>$utilisateur | $motdepasse<br>" ;

$link = mysqli_connect($Host, $User, $Passw, $db_orius)
or die('Impossible de se connecter : ' . mysqli_error());
$sql = "SELECT * FROM Clients WHERE id_utilisateur = '$utilisateur' AND motdepasse = '$motdepasse' "; 
$req = mysqli_query($link, $sql);
    $row_cnt = mysqli_num_rows($req);

    printf("Le jeu de résultats a %d lignes.\n <br>", $row_cnt);
    
//echo "<br>requette : $sql<br>client : $row_cnt<br>"; 
/* cnt=1 existe cnt=0 n'exister pas
 on sait que ca existe ou pas
 Cherchons a savoir si il est valide */

if ($row_cnt==1){
$link = mysqli_connect($Host, $User, $Passw, $db_orius)
or die('Impossible de se connecter : ' . mysqli_error());
$sql = "SELECT * FROM Clients WHERE id_utilisateur = '$utilisateur' AND motdepasse = '$motdepasse' And Valid='1'"; 
$req = mysqli_query($link, $sql);
    $row_cnt1 = mysqli_num_rows($req);

//    printf("Le jeu de résultats a %d lignes.\n <br>", $row_cnt1);
	if ($row_cnt1==1){
		return 12 ; 			
		} else {
		return 13 ;	
		}
} else {
return 0 ;	
}


} // Fin Fonction

// Fin des declarations de fonctions
$link = mysqli_connect($Host, $User, $Passw, $db_orius)
or die('Impossible de se connecter : ' . mysqli_error());
$sql = "SELECT * FROM Clients WHERE id_utilisateur = '$utilisateur' AND motdepasse = '$motdepasse' And Valid='1'"; 
$req = mysqli_query($link, $sql);
while ($row = mysqli_fetch_assoc($req)) {
        $Societe = $row["Societe"];
        $Titre = $row["Titre"];
        $Prenom = $row["Prenom"];
        $Nom = $row["Nom"];
        $Type_abo = $row["Type_abo"];
        $IdNumClient = $row["IdNumClient"];
        $IdNomClient = $row["IdNomClient"];
    }  
  
  
$civilite='';
$civilite=$Titre." ".$Prenom." ".$Nom ;
//echo "<br>$civilite<br>";
$user = IdentifieUtilisateur ($utilisateur, $motdepasse) ;
//echo "valeur user : $user<br>" ;
switch ($user) {
				case 12 : // existe et valide
   setcookie("cookie_societe",$Societe);
   setcookie("cookie_civilite",$civilite);
   setcookie("cookie_IdNumClient",$IdNumClient);
   setcookie("cookie_IdNomClient",$IdNomClient);
   setcookie("cookie_abs",$Type_abo);
//   echo "<br>existe<br>";

// mise a jour base connection
$link = mysqli_connect($Host, $User, $Passw, $db_orius)
or die('Impossible de se connecter : ' . mysqli_error());
$sql = "UPDATE Clients SET 
`dateconex` = '$today'
WHERE id_utilisateur='$utilisateur' AND motdepasse='$motdepasse'";

//echo "requet : ".$sql." <br>";

$res = mysqli_query($link, $sql);

//echo "<br>resultat requet : ".$res." <br>";   
mysqli_close($link);   
header("Location:index.php");
   exit();
			case 13 : // existe pas valide
//	 echo "existe mais nest pas valide";
	 setcookie('valid', 1, time()+3600);
	 mysqli_close($link);   
	 header("Location:logout.php");
	exit() ;		
			case 0 : // existe pas
   echo "n'existe pas";
   setcookie('valid', 2, time()+3600);
   mysqli_close($link);   
	 header("Location:logout.php");
   exit() ;

}

?>